const cheerio = require('cheerio');
const axios = require('axios');

async function getbspic(tag) {
    try {
        const response = await axios.get(`https://brawlbot.xyz/stats/player/${tag}`);
        const html = response.data;
        const $ = cheerio.load(html);
        await new Promise(resolve => setTimeout(resolve, 3000));
        const imageURL = $('img[alt="Profile Picture"]').attr('src');
        const imageBuffer = await axios.get(imageURL, { responseType: 'arraybuffer' }).then(response => response.data);
        return imageBuffer;
    } catch (error) {
        console.error('Error:', error);
        throw error;
    }
}

module.exports = getbspic;
